net.i2p.router.update

## Class DummyHandler

- java.lang.Object
- - net.i2p.router.update.DummyHandler

- All Implemented Interfaces:
    Checker, Updater

      class DummyHandler
      extends Object
      implements Checker, Updater

  Dummy to lock up the updates for a period of time

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyHandler(RouterContext ctx, ConsoleUpdateManager mgr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateTask` | `check(UpdateType type, UpdateMethod method, String id, String currentVersion, long maxTime)` Spins off an UpdateTask that sleeps
    `UpdateTask` | `update(UpdateType type, UpdateMethod method, List<URI> updateSources, String id, String newVersion, long maxTime)` Spins off an UpdateTask that sleeps

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyHandler

          public DummyHandler(RouterContext ctx,
                              ConsoleUpdateManager mgr)

  - ### Method Detail

    - #### check

          public UpdateTask check(UpdateType type,
                                  UpdateMethod method,
                                  String id,
                                  String currentVersion,
                                  long maxTime)

      Spins off an UpdateTask that sleeps
      Specified by:
        `check` in interface `Checker`
      Parameters:
        `type` - update type
        `method` - update method
        `id` - plugin name or ignored
        `currentVersion` - current version
        `maxTime` - how long you have
      Returns:
        active task or null if unable to check

    - #### update

          public UpdateTask update(UpdateType type,
                                   UpdateMethod method,
                                   List<URI> updateSources,
                                   String id,
                                   String newVersion,
                                   long maxTime)

      Spins off an UpdateTask that sleeps
      Specified by:
        `update` in interface `Updater`
      Parameters:
        `type` - update type
        `method` - update method
        `updateSources` - Where to get the new version from
        `id` - plugin name or ignored
        `newVersion` - new version to download
        `maxTime` - how long you have
      Returns:
        active task or null if unable to download